﻿#!/bin/bash
# Efface license by buldo et cacou13 www.msieurlolo.fr - v1 du 01/06/2022

dir2=`tail -n 1 /etc/mtab`
dir=${dir2:10:20}
BASEDIR=$(dirname "$0")
file="$dir/Efface_license.txt"
source $dir/addon_obligatoire/Traduction.sh

function FinPopup
{
	dbus-send --system --print-reply --type=method_call --dest=com.lge.PopupManager /com/lge/PopupManager com.lge.PopupManager.Service.DestroyPopup int32:7000000
}
function LancementPopup
{
	sleep 1
	FinPopup
	sleep 1
	pop=${1// /\\u0020}
	Merci_de_patienter=${Merci_de_patienter// /\\u0020}
	dbus-send --system --print-reply --type=method_call --dest=com.lge.PopupManager /com/lge/PopupManager com.lge.PopupManager.Service.CreatePopup string:'{"type":"CONFIRM","data":{"title":"Cacou13 et Buldo www.Msieurlolo.fr","text1":"'$pop'","text2":"'$Merci_de_patienter'","textCount":"2","timer":"0"}}'
	dbus-send --system --print-reply --type=method_call --dest=com.lge.PopupManager /com/lge/PopupManager com.lge.PopupManager.Service.ShowPopup int32:7000000
}

#Arrête le script si déjà installé
if [ -f "$file" ]
then
    echo "script Efface_license deja installe" > /dev/kmsg
    exit 0
fi

#Ecrit le log des actions à la racine de la clé
function ecrit_log
{
  echo "[`date +%d-%m-%Y_%H:%M:%S`] $1" >> "$dir/Efface_license.txt"
  echo "$2" >> "$dir/Efface_license.txt"
  echo " " >> "$dir/Efface_license.txt"
  /bin/sync
}

f="$BASEDIR/autorun.sh"
if [ -f "$f" ]
then
#Lancement popup et son début
	sleep 10
	LancementPopup "$Efface_license" &
	/usr/bin/aplay $dir/addon_obligatoire/startup.wav
	sleep 4
	
#Montage des partitions en écriture
	killall nngnavi
	mount -o remount,rw /app > /dev/kmsg
	mount -o remount,rw $dir > /dev/kmsg
	mount -o remount,rw /navi > /dev/kmsg
	/bin/sync
	
#supprime et affiche le résultat dans le log
	ecrit_log "supprime le fichier license" "`rm -f /navi/license/Europe_map_NQ_Truck_2020_Q4.lyc`"
	ecrit_log "supprime le fichier license" "`rm -f /navi/license/Mega_Free_1_Year_Update_FEU_NQ_2018_Q3.lyc`"
	ecrit_log "supprime le fichier license" "`rm -f /navi/license/Mega_Free_1_Year_Update_FEU_NQ_2019_Q4.lyc`"
	ecrit_log "supprime le fichier license" "`rm -f /navi/license/Mega_Free_1_Year_Update_FEU_NQ_2015_Q4.lyc`"
	ecrit_log "ls -l /navi/license" "`ls -laR /navi/license`"
	ecrit_log "Efface_license ok" "  " 
	/bin/sync

#Erreur si fichiers à 0 octet	
	Erreur="0"	
#on ignore le fichier spud
	result=$(find /navi -type f -size 0 -exec bash -c 'if [[ "{}" != *spud ]]; then echo -n "\t=> \"{}\"\n"; fi' \;)
	if [ -n "$result" ]; then
		echo "fichier vide trouvé" > /dev/kmsg
		ecrit_log "fichier vide trouvé :\n`echo -en $result`"
		Erreur="1"
	fi

#Lancement du son fin en fonction de la présence d'erreur
	if [ $Erreur = "1" ]; then
		sleep 4
		/usr/bin/aplay $dir/addon_obligatoire/alerte.wav
		sleep 4
		ecrit_log "		= > Mémoire pleine ou échec écriture"
	else
		/usr/bin/aplay $dir/addon_obligatoire/desinstallation.wav
		ecrit_log "		= > OK"
		sleep 4
	fi

#Montage des partitions en lecture seule
	mount -o remount,ro /app > /dev/kmsg
	mount -o remount,ro $dir > /dev/kmsg
	mount -o remount,ro /navi > /dev/kmsg
	/bin/sync

#Popup de fin	
	FinPopup
fi
exit